Package twisted :: Package web :: Module widgets :: Class Presentation

[frames | no frames]

## Class Presentation

    Widget --+
             |
            Presentation

Known Subclasses:
  `Page`, `Reloader`, `TitleBox`

I am a widget which formats a template with interspersed python expressions.

Method Summary
| `__init__(self, template, filename)`
| `addClassVars(self, namespace, Class)`
| `addVariables(self, namespace, request)`
| ``display`(self, request)` Implement me to represent your widget.
| `formatTraceback(self, tb)`
| ``prePresent`(self, request)` Perform any tasks which must be done before presenting the page.
| ``streamCall`(self, call, *args, **kw)` Utility: Call a method like StreamWidget's 'stream'.
Inherited from Widget
| ``getTitle`(self, request)`

Class Variable Summary
`str` | `template` = `'\n Hello, %%%%world%%%%.\n '`
`str` | `world` = `"you didn't assign to the 'template' attribute"`
Inherited from Widget
`NoneType` | `title` = None

Method Details

### display(self, request)

Implement me to represent your widget.

I must return a list of strings and twisted.internet.defer.Deferred instances.

  Overrides:
    `twisted.web.widgets.Widget.display` (inherited documentation)

### prePresent(self, request)

Perform any tasks which must be done before presenting the page.

### streamCall(self, call, *args, **kw)

Utility: Call a method like StreamWidget's 'stream'.

Class Variable Details

### template

  Type:
    `str`
  Value:

        '''
            Hello, %%%%world%%%%.
            '''

### world

  Type:
    `str`
  Value:

        "you didn't assign to the 'template' attribute"

Generated by Epydoc 2.0 on Sat May 15 20:08:15 2004 | http://epydoc.sf.net